tetromino    15/05/16 05:46:34

  Modified:             ChangeLog gnote-3.14.2.ebuild
  Log:
  Fix build with gcc-5.1 (requires new boost.m4), drop old.
  
  (Portage version: 2.2.19/cvs/Linux x86_64, signed Manifest commit with key 
0x18E5B6F2D8D5EC8D)

Revision  Changes    Path
1.53                 app-misc/gnote/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/gnote/ChangeLog?rev=1.53&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/gnote/ChangeLog?rev=1.53&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/gnote/ChangeLog?r1=1.52&r2=1.53

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/gnote/ChangeLog,v
retrieving revision 1.52
retrieving revision 1.53
diff -u -r1.52 -r1.53
--- ChangeLog   15 Mar 2015 13:15:13 -0000      1.52
+++ ChangeLog   16 May 2015 05:46:34 -0000      1.53
@@ -1,6 +1,9 @@
 # ChangeLog for app-misc/gnote
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/ChangeLog,v 1.52 2015/03/15 
13:15:13 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/ChangeLog,v 1.53 2015/05/16 
05:46:34 tetromino Exp $
+
+  16 May 2015; Alexandre Rostovtsev <[email protected]> gnote-3.14.2.ebuild:
+  Fix build with gcc-5.1 (requires new boost.m4), drop old.
 
   15 Mar 2015; Pacho Ramos <[email protected]> gnote-3.14.2.ebuild:
   x86 stable, bug 534012



1.4                  app-misc/gnote/gnote-3.14.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/gnote/gnote-3.14.2.ebuild?rev=1.4&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/gnote/gnote-3.14.2.ebuild?rev=1.4&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-misc/gnote/gnote-3.14.2.ebuild?r1=1.3&r2=1.4

Index: gnote-3.14.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-3.14.2.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- gnote-3.14.2.ebuild 15 Mar 2015 13:15:13 -0000      1.3
+++ gnote-3.14.2.ebuild 16 May 2015 05:46:34 -0000      1.4
@@ -1,15 +1,20 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-3.14.2.ebuild,v 1.3 
2015/03/15 13:15:13 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gnote/gnote-3.14.2.ebuild,v 1.4 
2015/05/16 05:46:34 tetromino Exp $
 
 EAPI="5"
 GCONF_DEBUG="no"
 
-inherit gnome2 readme.gentoo
+inherit autotools gnome2 readme.gentoo
 
 DESCRIPTION="Desktop note-taking application"
 HOMEPAGE="https://wiki.gnome.org/Apps/Gnote";
 
+BOOST_M4_COMMIT=32553aaf4d5090da19aa0ec33b936982c685009f
+SRC_URI="${SRC_URI}
+       https://github.com/tsuna/boost.m4/archive/${BOOST_M4_COMMIT}.zip -> 
boost.m4-${BOOST_M4_COMMIT}.zip"
+# Use sys-devel/boost-m4 when it's bumped, bug #549618
+
 LICENSE="GPL-3+ FDL-1.1"
 SLOT="0"
 KEYWORDS="amd64 x86"
@@ -40,6 +45,10 @@
 "
 
 src_prepare() {
+       # Use newer boost.m4 to allow build with gcc-5.1; fixed upsteam in 3.16
+       cp "../boost.m4-${BOOST_M4_COMMIT}/build-aux/boost.m4" m4/ || die
+       eautoreconf
+
        # Do not alter CFLAGS
        sed 's/-DDEBUG -g/-DDEBUG/' -i configure.ac configure || die
        gnome2_src_prepare




Reply via email to